com.corticon.rulesemf.canonicalrulemodel.rulesheet.util

## Class RulesheetSwitch

- java.lang.Object
- - com.corticon.rulesemf.canonicalrulemodel.rulesheet.util.RulesheetSwitch

-     public class RulesheetSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `RulesheetPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static RulesheetPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulesheetSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseAction(Action object)` Returns the result of interpreting the object as an instance of 'Action'
    `java.lang.Object` | `caseCondition(Condition object)` Returns the result of interpreting the object as an instance of 'Condition'
    `java.lang.Object` | `caseEffectivityRange(EffectivityRange object)` Returns the result of interpreting the object as an instance of 'Effectivity Range'
    `java.lang.Object` | `caseFilter(Filter object)` Returns the result of interpreting the object as an instance of 'Filter'
    `java.lang.Object` | `caseLogicalVariable(LogicalVariable object)` Returns the result of interpreting the object as an instance of 'Logical Variable'
    `java.lang.Object` | `casePRule(PRule object)` Returns the result of interpreting the object as an instance of 'PRule'
    `java.lang.Object` | `casePRuleset(PRuleset object)` Returns the result of interpreting the object as an instance of 'PRuleset'
    `java.lang.Object` | `caseReferencedAttribute(ReferencedAttribute object)` Returns the result of interpreting the object as an instance of 'Referenced Attribute'
    `java.lang.Object` | `caseRuleActivity(RuleActivity object)` Returns the result of interpreting the object as an instance of 'Rule Activity'
    `java.lang.Object` | `caseRuleModelElement(RuleModelElement object)` Returns the result of interpreting the object as an instance of 'Rule Model Element'
    `java.lang.Object` | `caseRulesheetString(RulesheetString object)` Returns the result of interpreting the object as an instance of 'String'
    `java.lang.Object` | `caseRuleStatement(RuleStatement object)` Returns the result of interpreting the object as an instance of 'Rule Statement'
    `java.lang.Object` | `caseValidatableObject(ValidatableObject object)` Returns the result of interpreting the object as an instance of 'Validatable Object'
    `java.lang.Object` | `caseVariable(Variable object)` Returns the result of interpreting the object as an instance of 'Variable'
    `java.lang.Object` | `caseViewExpressions(ViewExpressions object)` Returns the result of interpreting the object as an instance of 'View Expressions'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static RulesheetPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### RulesheetSwitch

          public RulesheetSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseAction

          public java.lang.Object caseAction(Action object)

      Returns the result of interpreting the object as an instance of 'Action'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Action'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCondition

          public java.lang.Object caseCondition(Condition object)

      Returns the result of interpreting the object as an instance of 'Condition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Condition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEffectivityRange

          public java.lang.Object caseEffectivityRange(EffectivityRange object)

      Returns the result of interpreting the object as an instance of 'Effectivity Range'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Effectivity Range'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFilter

          public java.lang.Object caseFilter(Filter object)

      Returns the result of interpreting the object as an instance of 'Filter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Filter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLogicalVariable

          public java.lang.Object caseLogicalVariable(LogicalVariable object)

      Returns the result of interpreting the object as an instance of 'Logical Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Logical Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### casePRule

          public java.lang.Object casePRule(PRule object)

      Returns the result of interpreting the object as an instance of 'PRule'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'PRule'.
      See Also:
        `doSwitch(EObject)`

    - #### casePRuleset

          public java.lang.Object casePRuleset(PRuleset object)

      Returns the result of interpreting the object as an instance of 'PRuleset'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'PRuleset'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleStatement

          public java.lang.Object caseRuleStatement(RuleStatement object)

      Returns the result of interpreting the object as an instance of 'Rule Statement'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Statement'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRulesheetString

          public java.lang.Object caseRulesheetString(RulesheetString object)

      Returns the result of interpreting the object as an instance of 'String'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String'.
      See Also:
        `doSwitch(EObject)`

    - #### caseReferencedAttribute

          public java.lang.Object caseReferencedAttribute(ReferencedAttribute object)

      Returns the result of interpreting the object as an instance of 'Referenced Attribute'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Referenced Attribute'.
      See Also:
        `doSwitch(EObject)`

    - #### caseViewExpressions

          public java.lang.Object caseViewExpressions(ViewExpressions object)

      Returns the result of interpreting the object as an instance of 'View Expressions'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'View Expressions'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleModelElement

          public java.lang.Object caseRuleModelElement(RuleModelElement object)

      Returns the result of interpreting the object as an instance of 'Rule Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Model Element'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValidatableObject

          public java.lang.Object caseValidatableObject(ValidatableObject object)

      Returns the result of interpreting the object as an instance of 'Validatable Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validatable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariable

          public java.lang.Object caseVariable(Variable object)

      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleActivity

          public java.lang.Object caseRuleActivity(RuleActivity object)

      Returns the result of interpreting the object as an instance of 'Rule Activity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Activity'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.